/*								    *\
 test/test_invstrinv.c	versin 1.0	25 de octubre de 2005

 Este fichero contiene un simple programa de prueba para la funcin
 invstrinv() definida junto con iwcsinv() en el fichero ../invstrinv.c
 y los ficheros ../invstrinv.h , ../fun_invstrinv.h y ../Makefile .

 -----
 (c) Noel Torres, 2005
 * Para ver los trminos de la Licencia, vea el fichero ../invstrinv.c
 que acompaa.
 * Si se distribuyere este fichero sin el fichero ../invstrinv.c se
 deber adjuntar la Licencia all expresada.
 -----
\*								    */

#include <stdlib.h> /*free()*/
#include <stdio.h> /*printf()*/
#include "../invstrinv.h" /*invstrinv()*/

int main(void)
{
 char* cadena;
 if((cadena=invstrinv("Hola Mundo!")) != NULL)
 {
  printf("[%s]\n",cadena);
  free(cadena);
 }
 else /* if(cadena != NULL) */
 {
  printf("Error de memoria (main->invstrinv->malloc)\n");
 } /* endif(cadena != NULL) */
 return(0);
} /* Fin main() */
